OVERLAY_LINE(3)

FUNCTION
overlay_line - Add a line to an overlay object list. See also <-overlay_lines->.

SYNOPSIS
#include <karma_overlay.h>

unsigned int overlay_line

(KOverlayList olist, unsigned int type0, double x0, double y0, unsigned int type1, double x1, double y1, CONST char *colourname)

DESCRIPTION
Add a line to an overlay object list. See also <-overlay_lines->.

olist
    The overlay list object.

type0
    The type of the first co-ordinate. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

x0  The horizontal position of the first co-ordinate.

y0  The vertical position of the first co-ordinate.

type1
    The type of the second co-ordinate. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

x1  The horizontal position of the second co-ordinate.

y1  The vertical position of the second co-ordinate.

colourname
    The colourname.

RETURN VALUE
The objectID on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/